ICU 60.2 60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
icu::number::FractionRounder Class Reference

A class that defines a rounding strategy based on a number of fraction places and optionally significant digits to be used when formatting numbers in NumberFormatter. More...

`#include <numberformatter.h>`

Inheritance diagram for icu::number::FractionRounder:

## Public Member Functions
Rounder | withMinDigits (int32_t minSignificantDigits) const
| Ensure that no less than this number of significant digits are retained when rounding according to fraction rules. More...
Rounder | withMaxDigits (int32_t maxSignificantDigits) const
| Ensure that no more than this number of significant digits are retained when rounding according to fraction rules. More...
Public Member Functions inherited from icu::number::Rounder
Rounder | withMode (UNumberFormatRoundingMode roundingMode) const
| Sets the rounding mode to use when picking the direction to round (up or down). More...

## Friends
class | Rounder

## Additional Inherited Members
Static Public Member Functions inherited from icu::number::Rounder
static Rounder | unlimited ()
| Show all available digits to full precision. More...
static FractionRounder | integer ()
| Show numbers rounded if necessary to the nearest integer. More...
static FractionRounder | fixedFraction (int32_t minMaxFractionPlaces)
| Show numbers rounded if necessary to a certain number of fraction places (numerals after the decimal separator). More...
static FractionRounder | minFraction (int32_t minFractionPlaces)
| Always show at least a certain number of fraction places after the decimal separator, padding with zeros if necessary. More...
static FractionRounder | maxFraction (int32_t maxFractionPlaces)
| Show numbers rounded if necessary to a certain number of fraction places (numerals after the decimal separator). More...
static FractionRounder | minMaxFraction (int32_t minFractionPlaces, int32_t maxFractionPlaces)
| Show numbers rounded if necessary to a certain number of fraction places (numerals after the decimal separator); in addition, always show at least a certain number of places after the decimal separator, padding with zeros if necessary. More...
static DigitRounder | fixedDigits (int32_t minMaxSignificantDigits)
| Show numbers rounded if necessary to a certain number of significant digits or significant figures. More...
static DigitRounder | minDigits (int32_t minSignificantDigits)
| Always show at least a certain number of significant digits/figures, padding with zeros if necessary. More...
static DigitRounder | maxDigits (int32_t maxSignificantDigits)
| Show numbers rounded if necessary to a certain number of significant digits/figures. More...
static DigitRounder | minMaxDigits (int32_t minSignificantDigits, int32_t maxSignificantDigits)
| Show numbers rounded if necessary to a certain number of significant digits/figures; in addition, always show at least a certain number of significant digits, padding with zeros if necessary. More...
static IncrementRounder | increment (double roundingIncrement)
| Show numbers rounded if necessary to the closest multiple of a certain rounding increment. More...
static CurrencyRounder | currency (UCurrencyUsage currencyUsage)
| Show numbers rounded and padded according to the rules for the currency unit. More...

## Detailed Description

A class that defines a rounding strategy based on a number of fraction places and optionally significant digits to be used when formatting numbers in NumberFormatter.

To create a FractionRounder, use one of the factory methods on Rounder.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

Definition at line 884 of file numberformatter.h.

## Member Function Documentation

Rounder icu::number::FractionRounder::withMaxDigits | ( | int32_t | maxSignificantDigits | ) | const

Ensure that no more than this number of significant digits are retained when rounding according to fraction rules.

For example, with integer rounding, the number 123.4 becomes "123". However, with maximum figures set to 2, 123.4 becomes "120" instead.

This setting does not affect the number of trailing zeros. For example, with fixed fraction of 2, 123.4 would become "120.00".

Parameters

  maxSignificantDigits | Round the number to no more than this number of significant figures.

Returns
  A Rounder for chaining or passing to the NumberFormatter rounding() setter.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

Rounder icu::number::FractionRounder::withMinDigits | ( | int32_t | minSignificantDigits | ) | const

Ensure that no less than this number of significant digits are retained when rounding according to fraction rules.

For example, with integer rounding, the number 3.141 becomes "3". However, with minimum figures set to 2, 3.141 becomes "3.1" instead.

This setting does not affect the number of trailing zeros. For example, 3.01 would print as "3", not "3.0".

Parameters

  minSignificantDigits | The number of significant figures to guarantee.

Returns
  A Rounder for chaining or passing to the NumberFormatter rounding() setter.

Draft:
  This API may be changed in the future versions and was introduced in ICU 60

The documentation for this class was generated from the following file:

- numberformatter.h